%global modname colander

Name:           python-%{modname}
Version:        1.4
Release:        4%{?dist}
Summary:        Simple schema-based serialization and deserialization library

License:        BSD
URL:            https://pypi.python.org/pypi/colander
Source0:        https://github.com/Pylons/colander/archive/%{version}/%{modname}-%{version}.tar.gz
# This fixes https://bugzilla.redhat.com/show_bug.cgi?id=1527683 and is proposed upstream at
# https://github.com/Pylons/colander/pull/301
Patch0:         0000-Add-a-MANIFEST.in-file-so-the-locale-folder-gets-inc.patch

BuildArch:      noarch

%global _description \
An extensible package which can be used to:\
\
- deserialize and validate a data structure composed of strings, mappings,\
  and lists.\
- serialize an arbitrary data structure to a data structure composed of\
  strings, mappings, and lists.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-coverage
BuildRequires:  python2-translationstring
BuildRequires:  python2-iso8601
Requires:       python2-translationstring
Requires:       python2-iso8601

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-coverage
BuildRequires:  python3-translationstring
BuildRequires:  python3-iso8601
Requires:       python3-translationstring
Requires:       python3-iso8601

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -p1 -n %{modname}-%{version}

# The presence of this file creates an rpmlint error.  Remove it.
rm docs/.gitignore
rm -rf docs/.static

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst CONTRIBUTORS.txt CHANGES.rst docs
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-*.egg-info/

%files -n python3-%{modname}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst CONTRIBUTORS.txt CHANGES.rst docs
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-*.egg-info/

%changelog
* Sun Jun 17 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 20 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.4-2
- Include the locale/ folder (#1527683).

* Sat Sep 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4-1
- Update to 1.4

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat May 27 2017 Kevin Fenzi <kevin@scrye.com> - 1.3.3-1
- Update to 1.3.3. Fixes bug #1445275

* Sat Feb 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
